Create a new specification version

Use this API operation to create a new specification version for an analysis set.

Request formats

This operation accepts multipart/form-data, application/x-www-form-urlencoded and application/json.

With application/json, the request body is the specs value itself, and setId, indexValue, startDateTime, reason must be passed as query parameters. The query parameters below are only needed in that case; with a form content type they can be sent as form fields instead.

Examples

multipart/form-data:

curl -X POST 'https://tenant.alisqi.com/api/storeSpecificationVersion' \
  -H 'Authorization: Bearer <token>' \
  -F setId=12 \
  -F 'specs={"ph_": {"min": 7, "max": 11}}'

application/x-www-form-urlencoded:

curl -X POST 'https://tenant.alisqi.com/api/storeSpecificationVersion' \
  -H 'Authorization: Bearer <token>' \
  --data-urlencode setId=12 \
  --data-urlencode 'specs={"ph_": {"min": 7, "max": 11}}'

application/json:

curl -X POST 'https://tenant.alisqi.com/api/storeSpecificationVersion?setId=12&indexValue=Product%20A' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"ph_": {"min": 7, "max": 11}}'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

The unique id of the analysis set. Selection lists have no specifications and are not supported by this operation.

This parameter is required and has no default.

Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.

Required as a query parameter when the request body is application/json.

string

See the indexValue form field.

string

See the startDateTime form field.

string

See the reason form field.

Body Params
numericfield
object
selectfield
array of strings
selectfield
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

true if the specification version has been stored.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json